{ rustPlatform, lib, callPackage, project-config ? callPackage ./project-config.nix { }, ... }: rustPlatform.buildRustPackage {
  pname = "chat-signaling-server";
  version = "1.0.0";

  nativeBuildInputs = project-config.buildTools;
  buildInputs = project-config.libraries;

  src = ./.;

  cargoLock = {
    lockFile = ./Cargo.lock;
  };

  meta = with lib; {
    description = "rust project scaffold";
    homepage = "https://git.jeffthecoder.xyz/public/os-flakes";
    license = licenses.unlicense;
    maintainers = [ ];
  };
}
