{ pkg-config
, callPackage

, sqlite
, cargo-tarpaulin
, protobuf
, rustfmt


, sea-orm-cli

, extra-tools ? callPackage ./extra-tools.nix
, ...
}: {
  buildTools = [ pkg-config protobuf ];
  libraries = [ sqlite ];
  developmentTools = [
    # bpf-linker
    cargo-tarpaulin
    # cargo-espflash
    # cargo-generate
    # cargo-make
    # cargo-mobile2
    # cargo-tauri
    # cargo-watch
    # TODO: cargo-xcode
    # TODO: create-tauri-app
    # cargo-espflash
    # TODO: kopium
    # TODO: ldproxy
    # TODO: paperclip
    # sea-orm-cli
    # perseus-cli
    # trunk
    # wasm-bindgen-cli
    rustfmt

    # extra-tools.kopium
  ];
}
